\documentclass{standalone}
\usepackage{chemfig}
\begin{document}
\setcharge{shortcuts=true}

\setchemfig{scheme debug=false, arrow coeff=0.5, atom sep=1.5em}


\schemestart
\chemfig{\Charge{0=\.}{H}}
\+
\chemfig{\Charge{180=\.}{H}}
\arrow
\chemfig{\Charge{0=\:}{H}H}
\schemestop
\quad or, \quad \chemfig{H-H}

\end{document}
